/**   
* @Title: AlipayJournal.java 
* @Package com.platform.pojo 
* @Description: TODO(用一句话描述该文件做什么) 
* @author kiosk
* @date 2017年9月7日 上午9:54:40 
* @version V1.0   
*/
package com.platform.pojo;

import java.util.Date;

/** 
 * @ClassName: AlipayJournal 
 * @Description: TODO(这里用一句话描述这个类的作用) 
 * @author kiosk
 * @date 2017年9月7日 上午9:54:40 
 *  
 */
public class AlipayJournal {
	private int id;//主键
	private String statuscode;//交易状态码，1表示成功，0表示失败
	private String retmsg;//返回信息
	private String sub_code;//错误子代码
	private String code;//结果码
	private String sub_msg;//错误子代码描述
	private String subject;//订单标题
	private String out_trade_no;//商户订单号
	private String transaction_id;//平台订单号
	private String total_amount;//订单总金额
	private String discountable_amount;//可打折金额
	private String undiscountable_amount;//不可打折金额
	private Date time_expire;//支付超时时间
	private String trade_no;//支付宝交易号
	private String trade_status;//交易状态
	private String receipt_amount;//实收金额
	private String invoice_amount;//开票金额
	private String buyer_pay_amount;//付款金额
	private String store_id;//商户门店编号
	private String retry_flag;//是否可重置标志
	private String buyer_logon_id;//卖家支付宝账号
	private String fund_change;//本次退款是否发生资金变动，Y:发生资金变动，N:未发生资金变动
	private String refund_fee;//累计退款金额
	private String gmt_refund_pay;//退款时间
	private String notify_id;//通知校验ID
	private String out_request_no;//商户请求退款号
	private Date notify_time;
	private String notify_type;
	private String sign_type;
	private String seller_id;
	private String seller_email;
	private String send_back_fee;
	private Date create_time;//创建时间
	private Date update_time;//修改时间
	private String refund_status;
	private int delete_flag;
	
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getStatuscode() {
		return statuscode;
	}
	public void setStatuscode(String statuscode) {
		this.statuscode = statuscode;
	}
	public String getRetmsg() {
		return retmsg;
	}
	public void setRetmsg(String retmsg) {
		this.retmsg = retmsg;
	}
	public String getSub_code() {
		return sub_code;
	}
	public void setSub_code(String sub_code) {
		this.sub_code = sub_code;
	}
	public String getSub_msg() {
		return sub_msg;
	}
	public void setSub_msg(String sub_msg) {
		this.sub_msg = sub_msg;
	}
	public String getSubject() {
		return subject;
	}
	public void setSubject(String subject) {
		this.subject = subject;
	}
	public String getOut_trade_no() {
		return out_trade_no;
	}
	public void setOut_trade_no(String out_trade_no) {
		this.out_trade_no = out_trade_no;
	}
	public String getTransaction_id() {
		return transaction_id;
	}
	public void setTransaction_id(String transaction_id) {
		this.transaction_id = transaction_id;
	}
	public String getTotal_amount() {
		return total_amount;
	}
	public void setTotal_amount(String total_amount) {
		this.total_amount = total_amount;
	}
	public String getDiscountable_amount() {
		return discountable_amount;
	}
	public void setDiscountable_amount(String discountable_amount) {
		this.discountable_amount = discountable_amount;
	}
	public String getUndiscountable_amount() {
		return undiscountable_amount;
	}
	public void setUndiscountable_amount(String undiscountable_amount) {
		this.undiscountable_amount = undiscountable_amount;
	}
	public Date getTime_expire() {
		return time_expire;
	}
	public void setTime_expire(Date time_expire) {
		this.time_expire = time_expire;
	}
	public String getTrade_no() {
		return trade_no;
	}
	public void setTrade_no(String trade_no) {
		this.trade_no = trade_no;
	}
	public String getTrade_status() {
		return trade_status;
	}
	public void setTrade_status(String trade_status) {
		this.trade_status = trade_status;
	}
	public String getReceipt_amount() {
		return receipt_amount;
	}
	public void setReceipt_amount(String receipt_amount) {
		this.receipt_amount = receipt_amount;
	}
	public String getInvoice_amount() {
		return invoice_amount;
	}
	public void setInvoice_amount(String invoice_amount) {
		this.invoice_amount = invoice_amount;
	}
	public String getBuyer_pay_amount() {
		return buyer_pay_amount;
	}
	public void setBuyer_pay_amount(String buyer_pay_amount) {
		this.buyer_pay_amount = buyer_pay_amount;
	}
	public String getStore_id() {
		return store_id;
	}
	public void setStore_id(String store_id) {
		this.store_id = store_id;
	}
	public String getRetry_flag() {
		return retry_flag;
	}
	public void setRetry_flag(String retry_flag) {
		this.retry_flag = retry_flag;
	}
	public String getBuyer_logon_id() {
		return buyer_logon_id;
	}
	public void setBuyer_logon_id(String buyer_logon_id) {
		this.buyer_logon_id = buyer_logon_id;
	}
	public String getFund_change() {
		return fund_change;
	}
	public void setFund_change(String fund_change) {
		this.fund_change = fund_change;
	}
	
	public String getRefund_fee() {
		return refund_fee;
	}
	public void setRefund_fee(String refund_fee) {
		this.refund_fee = refund_fee;
	}
	
	public String getGmt_refund_pay() {
		return gmt_refund_pay;
	}
	public void setGmt_refund_pay(String gmt_refund_pay) {
		this.gmt_refund_pay = gmt_refund_pay;
	}
	public String getNotify_id() {
		return notify_id;
	}
	public void setNotify_id(String notify_id) {
		this.notify_id = notify_id;
	}
	public String getOut_request_no() {
		return out_request_no;
	}
	public void setOut_request_no(String out_request_no) {
		this.out_request_no = out_request_no;
	}
    
	public Date getCreate_time() {
		return create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}
    
	public Date getUpdate_time() {
		return update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}
	public String getRefund_status() {
		return refund_status;
	}
	public void setRefund_status(String refund_status) {
		this.refund_status = refund_status;
	}
	public int getDelete_flag() {
		return delete_flag;
	}
	public void setDelete_flag(int delete_flag) {
		this.delete_flag = delete_flag;
	}
	public Date getNotify_time() {
		return notify_time;
	}
	public void setNotify_time(Date notify_time) {
		this.notify_time = notify_time;
	}
	public String getNotify_type() {
		return notify_type;
	}
	public void setNotify_type(String notify_type) {
		this.notify_type = notify_type;
	}
	public String getSign_type() {
		return sign_type;
	}
	public void setSign_type(String sign_type) {
		this.sign_type = sign_type;
	}
	public String getSeller_id() {
		return seller_id;
	}
	public void setSeller_id(String seller_id) {
		this.seller_id = seller_id;
	}
	public String getSeller_email() {
		return seller_email;
	}
	public void setSeller_email(String seller_email) {
		this.seller_email = seller_email;
	}
	public String getSend_back_fee() {
		return send_back_fee;
	}
	public void setSend_back_fee(String send_back_fee) {
		this.send_back_fee = send_back_fee;
	}
	

}
